Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Types | Public Member Functions | List of all members
faiss::IDSelector Struct Referenceabstract

`#include <AuxIndexStructures.h>`

Inheritance diagram for faiss::IDSelector:

## Public Types
typedef Index::idx_t | idx_t

## Public Member Functions
virtual bool | is_member (idx_t id) const =0

## Detailed Description

Encapsulates a set of ids to remove.

Definition at line 52 of file AuxIndexStructures.h.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/AuxIndexStructures.h